Index: /code/branches/releasetodo/src/libraries/core/GUIManager.cc
===================================================================
--- /code/branches/releasetodo/src/libraries/core/GUIManager.cc	(revision 7627)
+++ /code/branches/releasetodo/src/libraries/core/GUIManager.cc	(revision 7628)
@@ -43,6 +43,6 @@
 #include <CEGUIWindow.h>
 #include <CEGUIWindowManager.h>
-#include <CEGUI/elements/CEGUIListbox.h>
-#include <CEGUI/elements/CEGUIListboxItem.h>
+#include <elements/CEGUIListbox.h>
+#include <elements/CEGUIListboxItem.h>
 #include <ogreceguirenderer/OgreCEGUIRenderer.h>
 
Index: /code/branches/releasetodo/src/libraries/core/Loader.cc
===================================================================
--- /code/branches/releasetodo/src/libraries/core/Loader.cc	(revision 7627)
+++ /code/branches/releasetodo/src/libraries/core/Loader.cc	(revision 7628)
@@ -88,9 +88,9 @@
     }
 
-    bool Loader::load(const ClassTreeMask& mask)
+    bool Loader::load(const ClassTreeMask& mask, bool verbose)
     {
         bool success = true;
         for (std::vector<std::pair<const XMLFile*, ClassTreeMask> >::iterator it = Loader::files_s.begin(); it != Loader::files_s.end(); ++it)
-            if (!Loader::load(it->first, it->second * mask))
+            if (!Loader::load(it->first, it->second * mask, verbose))
                 success = false;
 
@@ -109,11 +109,11 @@
     }
 
-    bool Loader::reload(const ClassTreeMask& mask)
+    bool Loader::reload(const ClassTreeMask& mask, bool verbose)
     {
         Loader::unload(mask);
-        return Loader::load(mask);
-    }
-
-    bool Loader::load(const XMLFile* file, const ClassTreeMask& mask)
+        return Loader::load(mask, verbose);
+    }
+
+    bool Loader::load(const XMLFile* file, const ClassTreeMask& mask, bool verbose)
     {
         if (!file)
@@ -144,6 +144,14 @@
         try
         {
-            COUT(0) << "Start loading " << file->getFilename() << "..." << std::endl;
-            COUT(3) << "Mask: " << Loader::currentMask_s << std::endl;
+            if(verbose)
+            {
+                COUT(0) << "Start loading " << file->getFilename() << "..." << std::endl;
+                COUT(3) << "Mask: " << Loader::currentMask_s << std::endl;
+            }
+            else
+            {
+                COUT(4) << "Start loading " << file->getFilename() << "..." << std::endl;
+                COUT(4) << "Mask: " << Loader::currentMask_s << std::endl;
+            }
 
             ticpp::Document xmlfile(file->getFilename());
@@ -165,5 +173,8 @@
             rootNamespace->XMLPort(rootElement, XMLPort::LoadObject);
 
-            COUT(0) << "Finished loading " << file->getFilename() << '.' << std::endl;
+            if(verbose)
+                COUT(0) << "Finished loading " << file->getFilename() << '.' << std::endl;
+            else
+                COUT(4) << "Finished loading " << file->getFilename() << '.' << std::endl;
 
             COUT(4) << "Namespace-tree:" << std::endl << rootNamespace->toString("  ") << std::endl;
@@ -210,8 +221,8 @@
     }
 
-    bool Loader::reload(const XMLFile* file, const ClassTreeMask& mask)
+    bool Loader::reload(const XMLFile* file, const ClassTreeMask& mask, bool verbose)
     {
         Loader::unload(file, mask);
-        return Loader::load(file, mask);
+        return Loader::load(file, mask, verbose);
     }
 
Index: /code/branches/releasetodo/src/libraries/core/Loader.h
===================================================================
--- /code/branches/releasetodo/src/libraries/core/Loader.h	(revision 7627)
+++ /code/branches/releasetodo/src/libraries/core/Loader.h	(revision 7628)
@@ -57,11 +57,11 @@
             static void remove(const XMLFile* file);
 
-            static bool load(const ClassTreeMask& mask = ClassTreeMask());
+            static bool load(const ClassTreeMask& mask = ClassTreeMask(), bool verbose = true);
             static void unload(const ClassTreeMask& mask = ClassTreeMask());
-            static bool reload(const ClassTreeMask& mask = ClassTreeMask());
+            static bool reload(const ClassTreeMask& mask = ClassTreeMask(), bool verbose = true);
 
-            static bool load(const XMLFile* file, const ClassTreeMask& mask = ClassTreeMask());
+            static bool load(const XMLFile* file, const ClassTreeMask& mask = ClassTreeMask(), bool verbose = true);
             static void unload(const XMLFile* file, const ClassTreeMask& mask = ClassTreeMask());
-            static bool reload(const XMLFile* file, const ClassTreeMask& mask = ClassTreeMask());
+            static bool reload(const XMLFile* file, const ClassTreeMask& mask = ClassTreeMask(), bool verbose = true);
 
             static std::string replaceLuaTags(const std::string& text);
Index: /code/branches/releasetodo/src/orxonox/LevelManager.cc
===================================================================
--- /code/branches/releasetodo/src/orxonox/LevelManager.cc	(revision 7627)
+++ /code/branches/releasetodo/src/orxonox/LevelManager.cc	(revision 7628)
@@ -165,5 +165,5 @@
                 mask.exclude(ClassIdentifier<BaseObject>::getIdentifier());
                 mask.include(ClassIdentifier<LevelInfo>::getIdentifier());
-                Loader::load(&file, mask);
+                Loader::load(&file, mask, false);
                 for(ObjectList<LevelInfo>::iterator item = ObjectList<LevelInfo>::begin(); item != ObjectList<LevelInfo>::end(); ++item)
                 {
